Package org.h2gis.functions.spatial.convert

# Class ST_ToMultiPoint

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_ToMultiPoint

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ToMultiPoint extends org.h2gis.api.DeterministicScalarFunction
ST_ToMultiPoint constructs a MultiPoint from the given geometry's coordinates.

Author:
  Adam Gouge, Erwan Bocher, CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ToMultiPoint()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.MultiPoint`
`createMultiPoint(org.locationtech.jts.geom.Geometry geom)`
Constructs a MultiPoint from the given geometry's coordinates.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ToMultiPoint

public ST_ToMultiPoint()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### createMultiPoint

public static org.locationtech.jts.geom.MultiPoint createMultiPoint(org.locationtech.jts.geom.Geometry geom)
Constructs a MultiPoint from the given geometry's coordinates.

Parameters:
  `geom` - Geometry
Returns:
  A MultiPoint constructed from the given geometry's coordinates